JClic Player(1)

NAME
jclic - Standalone player of multimedia educational activities

SYNOPSIS
jclic [OPTION]... [FILE]

DESCRIPTION
This manual page describes briefly the jclic command. This manual page was written for the Debian GNU/Linux distribution. It only contains the description of the basic options.
For full manuals and documentation please visit:
http://clic.xtec.cat and http://projectestac.github.io/jclic

JClic is formed by a set of computer applications that are used for carrying out different types of educational activities: puzzles, associations, text exercises, crosswords... These activities are packed in projects. A project is formed by a set of activities and one or more sequences, which indicate the order in which they have to be shown.

JClic is able to play JClic projects, that should have extension *.jclic.zip or *.jclic. It can also run installer macros of JClic projects, with extension *.jclic.inst and import packages of activities made with the old "Clic 3.0" software, that have extension *.pcc and *.pac.

If you want to check about how JClic projects are, you should take a look at:
http://clic.xtec.cat/db/listact_en.jsp

OPTIONS

-trace=true
    Show in a terminal some debug information for the application.

-language=code
    ISO 639 code of the language used by JClic in system messages and menus, e. g.: "pt" to indicate Portuguese.

-country=code
    Optional ISO 3166-1 code specifying a local variant of the language, e.g.: "BR" to indicate Brazilian Portuguese.

-variant=name
    An optional variable that can be used in conjunction with the preceding two, e.g.: "-language=ca -country=ES -variant=valencia" for the Valencian variant of Catalan.

-skin=name
    Type of visual interface used by JClic at start. The stock skins provided by JClic are: @default.xml @blue.xml @orange.xml @green.xml @simple.xml @mini.xml. Note that stock skin names are always preceeded by "@". Otherwise, you must indicate a full or relative path to an XML file implementing the JClic Skin Schema. For more info see:
    https://github.com/projectestac/jclic/blob/master/xml/skin.xsd

-systemSounds=true|false
    This option indicates if JClic must play or not system sounds.

-compressImages=true|false
    This option decides if JClic will compress images in order to make it to fit into the cells. Default is true.

-lookAndFeel=value
    Java Look&Feel to be used by JClic. Possible values are default system metal motif and windows. Default is "system".

-audioEnabled=true|false
    This option allows to enable or disable the sounds in JClic.

-mediaSystem=JMF|QT
    Preferred multimedia system: "JMF" for Java Media Framework or "QT" for QuickTime.

-reporter=class
    Name of the Java class used by the reports engine of JClic, e.g.: "TCPReporter". Classes belonging to "edu.xtec.jclic.report" can safely ommit the package name.

-reporterParams=parameters
    Parameters passed to the reports engine. This option can have multiple key-value pairs inside, separated by semi-colons. E.g.:
    jclic -reporter=TCPReporter -reporterParams="path=localhost:9000/reports;user=john"
    The main parameters used by the stock reporter classes are:

  Main parameters used in the stock reporter classes

user
    User id in the reports system.

key A special key that will be saved in the database. This kind of keys are used in the Moodle module of JClic to store session values.

context
    Another special key that will be saved in the database. It can indicate, for example, the type of course where the activities are being done.

path
    In TCPReporter only, complete path to the reports server, e.g.: "localhost:9000/reports"

protocol
    In TCPReporter only, protocol to be used to communicate with the reports server. Possible values are "http" and "https" (since JClic 0.2.2.0)

lap In TCPReporter, number of seconds between successive calls to the reports server. Default is 20 seconds.

AUTHORS
JClic was written by Francesc Busquets <fbusquets@xtec.cat> for the Department of Education of the Government of Catalonia.

This manual page was initially written by José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net>, for the Debian project, and continued by Francesc Busquets <fbusquets@xtec.cat> (but may be used by others).

SEE ALSO
jclicauthor(1), jclicreports(1), jclic-libmanager(1)